Bug 521452 - KPackageKit crashes on "Refresh" button press
KPackageKit crashes on "Refresh" button press
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: kpackagekit (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Steven M. Parrish
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-09-05 18:07 EDT by Martin Kho
Modified: 2009-09-07 23:03 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-07 23:03:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Output from the KDE Crash Handler (3.51 KB, application/octet-stream)
2009-09-05 18:07 EDT, Martin Kho
no flags Details
Updated output from KCrash Handler (4.18 KB, text/plain)
2009-09-05 19:16 EDT, Martin Kho
no flags Details
Output kcrash handler - history button (8.11 KB, text/plain)
2009-09-06 08:00 EDT, Martin Kho
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
KDE Software Compilation 206512 None None None Never

  None (edit)
Description Martin Kho 2009-09-05 18:07:38 EDT
Created attachment 359885 [details]
Output from the KDE Crash Handler

Description of problem:
When refreshing the Software Updates listing kpackagekit crashes. It doesn't matter if there are updates or not. This applies to the standalone version as to systemsettings -> Add and Remove Software.

Version-Release number of selected component (if applicable):
kpackagekit-0.5.0-0.1.20090902svn.fc12.x86_64

How reproducible:


Steps to Reproduce:
1. Start Software Management (KPackagekit)
2. Got to Software Updates
3. Press the "Refresh" button
  
Actual results:
KPackagekit crashes and starts KCrash Handler.

Expected results:
The updates listing is refreshed

Additional info:
Comment 1 Steven M. Parrish 2009-09-05 18:30:33 EDT
Thanks for the bug report.  We have reviewed the information you have provided above, and there is some additional information we require that will be helpful in our diagnosis of this issue.

First of all, could we get output of the command

	rpm -qa PackageKit

Please also install kpackagekit-debuginfo (debuginfo-install is from
yum-utils package).

	debuginfo-install kpackagekit

Then run gdb kpackagekit.  Then use command run and do whatever you did to make kpackagekit crash. When it happens, you should go back to the gdb and run

	(gdb) thread apply all backtrace

This produces usually many screens of the text. Copy all of them into a text editor and attach the file to the bug as an uncompressed attachment.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.

-- 
Steven M. Parrish - KDE Triage Master
                  - PackageKit Triager
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 2 Martin Kho 2009-09-05 19:15:50 EDT
1. rpm -qa Packagekit* (I've added *):
PackageKit-debuginfo-0.5.2-0.2.20090903git.fc12.x86_64
PackageKit-yum-plugin-0.5.2-0.2.20090903git.fc12.x86_64
PackageKit-0.5.2-0.2.20090903git.fc12.x86_64
PackageKit-gtk-module-0.5.2-0.2.20090903git.fc12.x86_64
PackageKit-device-rebind-0.5.2-0.2.20090903git.fc12.x86_64
PackageKit-qt-0.5.2-0.2.20090903git.fc12.x86_64
PackageKit-glib-0.5.2-0.2.20090903git.fc12.x86_64
PackageKit-yum-0.5.2-0.2.20090903git.fc12.x86_64

2. I had some old debug packages laying around. In Comment #3 you'll find an updated kcrash report

3. "gdb kpackagekit" doesn't give any info:
(gdb) run
Starting program: /usr/bin/kpackagekit
[Thread debugging using libthread_db enabled]
Detaching after fork from child process 16230.
Detaching after fork from child process 16232.

Program exited normally.
(gdb) removing transaction from pool :  "/1561_beddadea_data"
removing transaction from pool :  "/1562_cdbabbac_data"
removing transaction from pool :  "/1563_cebcdecd_data"
KCrash: Application 'kpackagekit' crashing...
sock_file=/root/.kde/socket-ps-1866.localdomain/kdeinit4__0
kdeinit4: preparing to launch /usr/libexec/kde4/drkonqi

(gdb) thread apply all backtrace
(gdb)


Hope this info helps.

Martin Kho
Comment 3 Martin Kho 2009-09-05 19:16:41 EDT
Created attachment 359891 [details]
Updated output from KCrash Handler
Comment 4 Martin Kho 2009-09-06 07:58:37 EDT
Hi,

I'm not sure if it is related or if it is another bug, but today I pressed the History-button (next to Refresh). It also crashed kpackagekit. For info about installed packages see comment #2. Again gdb gives no information. In comment #5 you'll find the KCrash report.

If it's an other bug I'll hear it.

Martin Kho
Comment 5 Martin Kho 2009-09-06 08:00:45 EDT
Created attachment 359905 [details]
Output kcrash handler - history button
Comment 6 Steven M. Parrish 2009-09-06 08:02:50 EDT
Thank you for taking the time to report this issue.

This is an issue that needs to be addressed by the upstream developers. Please report this at http://bugs.kde.org and then add the upstream report information to this report.  We will monitor the upstream report for a resolution to this issue, and will review any bug fixes that become available for consideration in future updates.

Setting status to NEEDINFO, and awaiting upstream bug report URL for tracking.

Thanks in advance.

-- 
Steven M. Parrish - KDE Triage Master
                  - PackageKit Triager
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 7 Martin Kho 2009-09-06 11:51:54 EDT
Report at http://bugs.kde.org:

https://bugs.kde.org/show_bug.cgi?id=206512

Martin Kho
Comment 8 Steven M. Parrish 2009-09-07 23:03:43 EDT
Thanks for taking the time to report this upstream,  Going to close this report in favor of the upstream one.  We will monitor the upstream report for a resolution.

-- 
Steven M. Parrish - KDE Triage Master
                  - PackageKit Triager
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Note You need to log in before you can comment on or make changes to this bug.